Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## info.bioinfweb.treegraph.gui.dialogs.io
Enum FileDialog.Option

    java.lang.Object
      java.lang.Enum<FileDialog.Option>
          info.bioinfweb.treegraph.gui.dialogs.io.FileDialog.Option

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<FileDialog.Option>

Enclosing class:
  FileDialog

    public static enum FileDialog.Option

extends java.lang.Enum<FileDialog.Option>

Enum Constant Summary
`ASK_TO_OVERWRITE`
`FILE_MUST_EXEST`
`NONE`

Method Summary
`static FileDialog.Option` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FileDialog.Option[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final FileDialog.Option NONE

### FILE_MUST_EXEST

    public static final FileDialog.Option FILE_MUST_EXEST

### ASK_TO_OVERWRITE

    public static final FileDialog.Option ASK_TO_OVERWRITE

Method Detail

### values

    public static FileDialog.Option[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FileDialog.Option c : FileDialog.Option.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FileDialog.Option valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD